package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.ZdUnitCode;
import java.util.List;

public interface ZdUnitCodeService {
    /**
     * 分页查询科室字典列表
     *
     * @param zdUnitCode 科室查询条件
     * @return
     */
    List<ZdUnitCode> queryZdUnitCodeWithPage(ZdUnitCode zdUnitCode);


    /**
     * 统计科室字典总数
     *
     * @param zdUnitCode 科室查询条件
     * @return
     */
    int countZdUnitCode(ZdUnitCode zdUnitCode);


    /**
     * 检查修改或者新增数据是否重复 部门编码 部门名称 新农合编码 新农合名称
     *
     * @param zdUnitCode 科室查询条件
     * @return
     */
    List<ZdUnitCode> checkZdUnitCode(ZdUnitCode zdUnitCode);

    /**
     * 新增科室字典
     *
     * @param zdUnitCode
     * @return
     */
    int saveZdUnitCode(ZdUnitCode zdUnitCode);

    /**
     * 修改科室字典
     *
     * @param zdUnitCode
     * @return
     */
    int modifyZdUnitCode(ZdUnitCode zdUnitCode);

    /**
     * 根据科室编码查询科室信息
     *
     * @param code 科室编码
     * @return
     */
    ZdUnitCode queryByCode(String code);

    /**
     * 查询科室名称
     * @param code
     * @return
     */
    String queryDeptNameByIdInCache(String code);

    /**
     * 查询科室字典列表
     *
     * @param zdUnitCode 科室查询条件
     * @return
     */
    List<ZdUnitCode> queryZdUnitCode(ZdUnitCode zdUnitCode);


    /**
     * 内存中查询所有未停用的科室
     * @return
     */
    List<ZdUnitCode> queryAllDeptInCache();



    /**
     * 内存中查询所有未停用门诊的科室
     * @return
     */
    List<ZdUnitCode> queryAllMzDeptInCache();
}
